Search documentation of observer

# crashdump_viewer (observer v2.19)

Copy Markdown View Source

A WxWidgets based tool for browsing Erlang crashdumps.

For details about how to get started with the Crashdump Viewer, see the User's Guide.

## Summary

### Functions

start()

Starts the Crashdump Viewer GUI and opens a file dialog where the crashdump can be selected.

start(File)

Starts the Crashdump Viewer GUI and loads the specified crashdump.

stop()

Terminates the Crashdump Viewer and closes all GUI windows.

## Functions

# start()

    -spec start() -> ok | {error, term()}.

Starts the Crashdump Viewer GUI and opens a file dialog where the crashdump can be selected.

# start(File)

(since OTP 17.0)

    -spec start(File :: string()) -> ok | {error, term()}.

Starts the Crashdump Viewer GUI and loads the specified crashdump.

# stop()

    -spec stop() -> ok.

Terminates the Crashdump Viewer and closes all GUI windows.